package de.ugoe.cs.quest.usability;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNotSame;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 20.07.2012$
 * @author 2012, last modified by $Author: pharms$
 */
public class UsabilityDefectDescriptionTest {

    /**
     * TODO: comment
     * 
     */
    @Test
    public void testInitialization() {
        for (UsabilityDefectDescription description : UsabilityDefectDescription.values()) {
            assertNotNull(description.toString());
            assertNotSame("", description.toString());
            System.err.println(description);
        }
    }

    /**
     * TODO: comment
     * 
     */
    @Test
    public void testParameterization() {
        for (UsabilityDefectDescription description : UsabilityDefectDescription.values()) {
            Map<String, String> parameters = new HashMap<String, String>();

            for (String parameter : description.getDescriptionParameters()) {
                parameters.put(parameter, "<parameter " + parameter + ">");
            }

            assertNotNull(description.toString(parameters));
            assertNotSame("", description.toString(parameters));
            System.err.println(description.toString(parameters));
        }
    }

}
